//! Copyright (C) 2022, Dmitriy Pleshevskiy <dmitriy@ideascup.me>
//!
//! tas is free software: you can redistribute it and/or modify
//! it under the terms of the GNU General Public License as published by
//! the Free Software Foundation, either version 3 of the License, or
//! (at your option) any later version.
//!
//! tas is distributed in the hope that it will be useful,
//! but WITHOUT ANY WARRANTY; without even the implied warranty of
//! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//! GNU General Public License for more details.
//!
//! You should have received a copy of the GNU General Public License
//! along with tas.  If not, see <https://www.gnu.org/licenses/>.
//!

pub mod finish;
pub mod pause;
pub mod priority;
pub mod start;
pub mod status;

#[derive(clap::Parser)]
#[clap(author, version, about = "Experemental task manager")]
pub struct Args {
    #[clap(subcommand)]
    pub command: SubCommand,
}

#[derive(clap::Subcommand)]
pub enum SubCommand {
    Add {
        #[clap(short, long)]
        link: Option<String>,

        name: String,
    },
    Edit {
        #[clap(short, long)]
        link: Option<String>,
        #[clap(long)]
        no_link: bool,

        #[clap(short, long)]
        name: Option<String>,

        idx: usize,
    },
    Remove {
        idx: usize,
    },
    Priority(self::priority::Args),
    List,
    Start(self::start::Args),
    Pause,
    Finish,
    Status,
}
